<?php

/*
 * This file is part of Respect/Validation.
 *
 * (c) Alexandre Gomes Gaigalas <alexandre@gaigalas.net>
 *
 * For the full copyright and license information, please view the "LICENSE.md"
 * file that was distributed with this source code.
 */

namespace Respect\Validation\Exceptions;

use Respect\Validation\Annotations\Template;
use Respect\Validation\Annotations\Templates;

/**
 * @Templates(
 *   regular={
 *     @Template("Key {{reference}} must be valid"),
 *     @Template("Key {{reference}} must be present", id="missing"),
 *   },
 *   inverted={
 *     @Template("Key {{reference}} must not be valid"),
 *     @Template("Key {{reference}} must not be present", id="missing"),
 *   },
 *   isIgnorable=true
 * )
 */
class KeyException extends AttributeException implements NonOmissibleExceptionInterface
{
    public static $defaultTemplates = [
        self::MODE_DEFAULT => [
            self::NOT_PRESENT => 'Key {{name}} must be present',
            self::INVALID => 'Key {{name}} must be valid',
        ],
        self::MODE_NEGATIVE => [
            self::NOT_PRESENT => 'Key {{name}} must not be present',
            self::INVALID => 'Key {{name}} must not be valid',
        ],
    ];
}
